from System.Collections.Generic import List
from System import Byte, Int32
#
PickableChests = List[int]([ 0x0E40, 0x0E41, 0x09AB, 0x0E42, 0x0E43, 0x0E77, 0x0E7C, 0x0E7E, 0x09A9, 0x0E7F, 0x0E3E, 0x0E3D, 0x0E3F, 0x0E3C])
chest = Items.Filter()
chest.Enabled = True
chest.OnGround = True
chest.Movable = False
chest.Graphics = PickableChests
chest.RangeMax = 5
chestOnGround = Items.ApplyFilter(chest)

if len(chestOnGround) > 0:
    nearestChest = Items.Select(chestOnGround, 'Nearest')
    Misc.SendMessage("Chest id 0x{:x} at X: {} Y: {}".format(nearestChest.Serial, nearestChest.Position.X, nearestChest.Position.Y), 5)
    Player.PathFindTo(nearestChest.Position.X, nearestChest.Position.Y, nearestChest.Position.Z)
    Misc.ScriptRun("LockPick_chest_2.py")